PCP-VERIFY(1)

NAME
pcp-verify - verify aspects of a PCP installation

SYNOPSIS
pcp verify [-c/--containers] [-s/--secure] [-v/--verbose]

DESCRIPTION
pcp-verify inspects various aspects of a PCP collector installation and reports on whether it is configured correctly for certain modes of operation.

By default, pcp-verify checks that PMCD is running and no agents are in a failed state. These checks can be extended and refined using the command line.

OPTIONS
Additional options are available for changing the verification performed by pcp-verify.

-c/ --containers verifies the collector installation for monitoring containers.

-s/ --secure verifies that the required components for encrypted communication are in place.

-v/ --verbose increase the verbosity, and report on each check as it is made. In the absence of any issues found, pcp-verify operates silently.

DIAGNOSTICS
pcp-verify will exit with a non-zero status if it finds anything worth reporting, otherwise it is silent and returns zero.

SEE ALSO
pcp(1) and PCPIntro(1).